<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="title$ | async" class="history-header">
  <span class="history-header-title">
    {{'history.title' | translate}}: {{title$ | async}}
  </span>
</div>

<ng-container *ngIf="(statement$ | async) != null">

  <app-statement-details-information
    [appContactInfo]="(statement$ | async)?.contactInfo"
    [appStatementInfo]="(statement$ | async)?.info"
    [appCollapsed]="true"
    class="history-details">
  </app-statement-details-information>

  <app-collapsible
    [appCollapsed]="false"
    [appTitle]="'history.title' | translate"
    class="history-details">

    <div *ngIf="(versions$ | async)?.length <= 0"
         class="history-details--placeholder">
      {{'history.placeholder' | translate}}
    </div>

    <div *ngIf="(versions$ | async)?.length > 0"
         class="history-details--versions">
      <div class="history-details--versions--content">
        <div class="history-details--versions--content--version">
          <app-version-info (appVersionSelect)="selectVersion($event)" [appSelectVersion]="true"
                            (appModeChange)="changeMode()"
                            (appNextVersion)="selectVersionFromIndex($event)"
                            [appDisabled]="isStatementLoading$ | async"
                            [appVersionOptions]="versions$ | async"
                            [appSelectedVersion]="selectedVersion"
                            [appModeOptions]="appModeOptions"
                            [appSelectedOption]="selectedOption"
                            [appEnableDetailsMode]="true"
                            [selectedMode]="selectedMode"></app-version-info>
          <app-display-version *ngIf="selectedVersion != null && !(selectedMode | isDetailsModeDetected)"
                               [appTextblockVersion]="selectedVersion"
                               class="history-details--versions--content--version--list"></app-display-version>
          <app-display-version-details *ngIf="selectedVersion != null && (selectedMode | isDetailsModeDetected)"
                                       [appTextblockVersion]="selectedVersion"
                                       class="history-details--versions--content--version--list"></app-display-version-details>
        </div>
        <div class="history-details--versions--content--version history-details--versions--content--version---border-left">
          <app-version-info [appSelectVersion]="false" [appSelectedVersion]="lastVersion"></app-version-info>
          <app-display-version *ngIf="(versions$ | async)?.length > 0"
                               [appTextblockVersion]="lastVersion"
                               class="history-details--versions--content--version--list"></app-display-version>
        </div>
      </div>
    </div>
  </app-collapsible>
</ng-container>
